package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.CbProjectRecord;
import com.dsk.cscec.domain.bo.AddCbProjectBo;
import com.dsk.cscec.domain.bo.EditProjectInfoBo;
import com.dsk.cscec.domain.bo.ImportCbProjectDataBo;

import java.util.List;

/**
 * 项目台账表(CbProjectRecord)表服务接口
 *
 * @author sxk
 * @since 2024-02-05 11:37:53
 */
public interface CbProjectRecordService extends IService<CbProjectRecord> {
    /**
     * 新增项目
     *
     * @param addCbProjectBo 新增对象
     * @return 新增结果
     */
    CbProjectRecord addProject(AddCbProjectBo addCbProjectBo);

    /**
     * 根据项目文件导入数据
     *
     * @param importDataBo 导入对象
     */
    void importData(ImportCbProjectDataBo importDataBo);

    /**
     * 修改项目信息
     *
     * @param editBo 修改对象
     * @return 修改结果
     */
    Integer editProjectInfo(EditProjectInfoBo editBo);

    /**
     * 获取草稿弹窗列表
     *
     * @return 草稿弹窗列表
     */
    List<CbProjectRecord> getDraftDialogList();
}
